/*
  Button
 
 Turns on and off a light emitting diode(LED) connected to digital  
 pin 13, when pressing a pushbutton attached to pin 2. 
 
 
 The circuit:
 * LED attached from pin 13 to ground 
 * pushbutton attached to pin 2 from +5V
 * 10K resistor attached to pin 2 from ground
 
 * Note: on most Arduinos there is already an LED on the board
 attached to pin 13.
 
 
 created 2005
 by DojoDave <http://www.0j0.org>
 modified 30 Aug 2011
 by Tom Igoe
 
 This example code is in the public domain.
 
 http://www.arduino.cc/en/Tutorial/Button
 */

#include <Wire.h>

// constants won't change. They're used here to 
// set pin numbers:
//const int numInPin = 12;    // the number of the communication with other arduino pin
const int ledPin =  13;      // the number of the LED pin
const int analogInPin = A0;  // Analog input pin that the potentiometer is attached to

// variables will change:
boolean makeyState = 0;     // variable for reading the makeybutton status
boolean ready2send;         //boolean to send the signal only once
int sensorValue = 0;        // value read from the pot
int outputValue = 0;        // value output to the PWM (analog out)
//int humorState = 0;         // variable for reading the communication with other arduino status

void setup() {
  // initialize serial communication (since we are using Xbee):
  Serial.begin(9600);
   Wire.begin();        // join i2c bus (address optional for master)
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);     
}

void loop(){
  // read the analog in value:
  sensorValue = analogRead(analogInPin);            
  // map it to the range of the analog out:
  outputValue = map(sensorValue, 0, 1023, 0, 255); 
  
  // print the results to the serial monitor:
  //Serial.print("sensor = " );                       
  //Serial.println(sensorValue); 

  // wait 2 milliseconds before the next loop
  // for the analog-to-digital converter to settle
  // after the last reading:
  delay(2); 
  
  delay(300);
  
  //delay(1000);
  //Serial.println(outputValue);  
  
  if (outputValue<200) {
    makeyState = 1;
  }
  else {
    makeyState = 0;
  }

  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if ((makeyState == 1) && (ready2send == 1)) {     
    // turn LED on:    
    digitalWrite(ledPin, HIGH);     
      
    delay(6000);
    Wire.requestFrom(2, 1);    // request 1 bytes from slave device #2
    while(Wire.available())    // slave may send less than requested
    { 
      char c = Wire.read(); // receive a byte as character
      Serial.print(c);         // print the character
    }
    /*if (humorState == HIGH) {      
      Serial.print('I');
    }
    else {      
      Serial.print('O');
    }*/
    ready2send = 0;
    delay(1000);
  } 
  else if (makeyState == 0) {
    // turn LED off:
    digitalWrite(ledPin, LOW); 
    //Serial.print('X');
    //Serial.print('L');
    ready2send = 1;
  }
}

